Bug 147513 - rhnreg_ks doesn't start rhnsd automatically
Summary: rhnreg_ks doesn't start rhnsd automatically
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clifford Perry
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 17:57 UTC by Max Spevack
Modified: 2012-06-20 13:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:22:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Spevack 2005-02-08 17:57:19 UTC
Description of problem:

If you are registering a system for the first time (or any time you
are registering a system in which /etc/sysconfig/rhn/systemid is not
present), rhnreg_ks will not automatically start rhnsd on your behalf.

This is because rhnreg_ks tries to start rhnsd before it writes out
the systemid, but rhnsd checks for a systemid and refuses to start
unless one is present.

Either write out the systemid first, or remove the check for a
systemid prior to starting rhnsd.

Version-Release number of selected component (if applicable):
rhel-3-u4, rhel-4-rc, probably rhel-2-u5 but didn't check

How reproducible:
Always

Comment 1 Max Spevack 2005-02-08 18:30:16 UTC
issue exists in rhel-2-u5 also

Comment 2 Adrian Likins 2005-02-08 18:37:51 UTC
up2date-4.4.8 should have the fix
(this version is aimed for rhel3 and rhel4)

Comment 3 Adrian Likins 2005-02-08 18:40:30 UTC
up2date-2.9.13 should have the fix for rhel2.1

Comment 5 Jay Turner 2005-04-16 20:17:28 UTC
We don't have an errata for U1, so guess this isn't getting fixed there.  Moving
from the U1 blocker list.

Comment 6 Jiri Pallich 2012-06-20 13:22:59 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.